classification
Title: clean up configure logic for gettimeofday
Type: Stage: resolved
Components: Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, iritkatriel, twouters
Priority: normal Keywords: patch

Created on 2019-09-09 12:53 by benjamin.peterson, last changed 2020-09-22 04:30 by benjamin.peterson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15775 merged benjamin.peterson, 2019-09-09 12:54
Messages (3)
msg351446 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-09-09 12:53
We assume gettimeofday exists, so we don't need a configure test for it. We should also assume it always takes a second argument per POSIX.
msg351615 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2019-09-10 10:38
New changeset f1c19031fd5f4cf6faad539e30796b42954527db by T. Wouters (Benjamin Peterson) in branch 'master':
bpo-38068: Clean up gettimeofday configure logic. (GH-15775)
https://github.com/python/cpython/commit/f1c19031fd5f4cf6faad539e30796b42954527db
msg377276 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-09-21 19:36
Can this be closed now?
History
Date User Action Args
2020-09-22 04:30:34benjamin.petersonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-09-21 19:36:37iritkatrielsetnosy: + iritkatriel
messages: + msg377276
2019-09-10 10:38:01twouterssetnosy: + twouters
messages: + msg351615
2019-09-09 12:54:35benjamin.petersonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request15428
2019-09-09 12:53:24benjamin.petersoncreate